Subject: Re: [DNSOP] I-D Action: draft-ietf-dnsop-rfc4641bis-11.txt

From: Olaf Kolkman <[email-masked]>
Date: Fri, 1 Jun 2012 11:00:46 +0200

Dear Chairs,

Some friendly reminders...

On May 21, 2012, at 11:40 AM, Olaf Kolkman wrote:

> Chairs, would you like us to incorporate (some of, see comments from Paul H.) the suggestions in the document _now_ or after you have done your review?

This question has been left unanswered.

> 
> Can you please make sure this document is at the IESG before June? 

This question has been left unanswered too.

Some highlights from https://datatracker.ietf.org/doc/draft-ietf-dnsop-rfc4641bis/history/

2011-06-27	06	Peter Koch	IETF state changed to In WG Last Call from WG Document

2011-12-05	08	Peter Koch	IETF state changed to WG Consensus: Waiting for Write-Up from In WG Last
Call

2011-12-05	08	Peter Koch	WGLC discussion on the list did not raise objections

That is almost 6 month now. Granted, we have had some comments coming in after the WGLC ended, all of the type that would make reasonable errata. Besides, that is a sign that people take the effort to find and read the draft, to me an indication that there is a need for this document to be published.

Please give us an indication when this document will be submitted to the IESG.

--Olaf

NLnet
Labs
Olaf M. Kolkman

www.NLnetLabs.nl
[email-masked]

Science Park 400, 1098 XH Amsterdam, The Netherlands

---

From: SM <[email-masked]>
Date: Fri, 01 Jun 2012 14:03:17 -0700

Dear Internet Engineering Steering Group,
At 02:00 01-06-2012, Olaf Kolkman wrote:
>That is almost 6 month now. Granted, we have had some comments 
>coming in after the WGLC ended, all of the type that would make 
>reasonable errata. Besides, that is a sign that people take the 
>effort to find and read the draft, to me an indication that there is 
>a need for this document to be published.

Is the DNSOP WG still active?  I am asking this question because:

  (a) The WG charter lists milestones dated Sep 2007.

  (b) It has been over five months since draft-ietf-dnsop-rfc4641bis-11
      is waiting for Write-Up.

Regards,
-sm

---

From: Stephen Morris <[email-masked]>
Date: Sat, 02 Jun 2012 01:06:45 +0100

On 01/06/2012 22:03, SM wrote:
> Dear Internet Engineering Steering Group, At 02:00 01-06-2012,
> Olaf Kolkman wrote:
>> effort to find and read the draft, to me an indication that
>> there is a need for this document to be published.
> 

Yes, the WG is still active.

> (a) The WG charter lists milestones dated Sep 2007.

Guilty as charged I'm afraid.

On behalf of the chairs, I can only apologise to the WG for neglecting
to review and update the milestones.

> (b) It has been over five months since 
> draft-ietf-dnsop-rfc4641bis-11 is waiting for Write-Up.

As you rightly say, progress on this this is overdue.  However things
have started to move - I undertook a nits review of the -11 version of
the draft earlier this week and the results are now with the editors.
Peter (the document shepherd) also has a few comments and will be
sending them to the editors as well as summarising them on the list.

At the last WG meeting, we also said we would progress one other draft:

draft-ietf-dnsop-dnssec-dps-framework:
This has passed the WGLC.  The final nits review has been done and the
draft is back with the editors for corrections.  A short summary of
the review was posted to the list last month.  Once a new version has
been submitted, it will be passed to the IESG along with the write-up
(which has already been prepared).

A question outstanding - and one for which I am seeking clarification
- concerns the correct copyright notice.  The draft is based heavily on
RFC 3647, but the copyright notice for that is more restrictive than the
one on this draft.  Presumably this means additional copyright text -
but I'm not certain of the implications (if any) of the fact that
earlier versions of this draft have been published with the less
restrictive copyright notice.

So in summary, I'm afraid that the chairs have been somewhat bad at
the housekeeping and apologise to the WG for that.  However, WG is
definitely alive and drafts are being progressed.

Stephen

---

From: SM <[email-masked]>
Date: Fri, 01 Jun 2012 18:01:22 -0700

Hi Stephen,
>Yes, the WG is still active.

Thanks for the quick reply.

>to review and update the milestones.

Would it be possible to update the milestones as it is easier to get 
a sense of what work items to track?

>restrictive copyright notice.

What follows is an informal comment.

The authors of draft-ietf-dnsop-dnssec-dps-framework-07 have stated that:

   "This Internet-Draft is submitted in full conformance with the
    provisions of BCP 78 and BCP 79."

It is simply a matter of asking them an appropriate question. :-)  I 
note that the listed affiliations are Kirei AB, .SE and ICANN.

Quoting Section 1.1:

    "Even though this document is heavily inspired by the Internet X.509
     Public Key Infrastructure Certificate Policy and Certification
     Practices Framework [RFC3647], with large parts being drawn from that
     document"

I don't see any mention of that in the Acknowledgements Section of the draft.

There is a pre5378 license clause which was used in an update of a 
RFC which predates RFC 3647.  This draft is a different and unusual 
case.  BTW, it is easier to let the previous versions of the draft to expire.

Regards,
-sm

---

From: Fredrik Ljunggren <[email-masked]>
Date: Sat, 2 Jun 2012 15:05:28 +0200

> I don't see any mention of that in the Acknowledgements Section of the draft.

Thanks for pointing that out. We should add acknowledgement to the work of the 3647 and its predecessor 2527 to the acknowledgements section.

-- Fredrik

---

From: Joe Abley <[email-masked]>
Date: Sat, 2 Jun 2012 06:51:31 -0700

> note that the listed affiliations are Kirei AB, .SE and ICANN.

If I can take the liberty of anticipating the nature of the appropriate question, the answer from ICANN would be whatever best facilitates the document's timely publication.

Joe

---

From: SM <[email-masked]>
Date: Sat, 02 Jun 2012 08:12:05 -0700

Hi Joe,
At 06:51 02-06-2012, Joe Abley wrote:
>If I can take the liberty of anticipating the nature of the 
>appropriate question, the answer from ICANN would be whatever best 
>facilitates the document's timely publication.

Someone could take a look at information available at 
http://trustee.ietf.org/ and choose the appropriate copyright license 
for the draft.  That would facilitate the timely publication.

Regards,
-sm

---

From: Anne-Marie Eklund-Löwinder <[email-masked]>
Date: Sat, 2 Jun 2012 19:55:57 +0200

The same for .SE. The sooner, the better. :-) I am right now holding back publishing the revised version of the .SE DPS, since I don't want it to differ in any important part from the draft, hopefully soon to be a RFC. :-)

All the best,

Anne-Marie Eklund Löwinder
Quality & Security Manager, .SE (The Internet Infrastructure Foundation)
Direct: +46(8)-452 35 17 | Mobile: +46(73)-43 15 310 PO Box 7399, 
SE-103 91 Stockholm, Sweden
Visitors: Ringvägen 100
http://www.iis.se/en/

> -----Ursprungligt meddelande-----
> Från: Joe Abley [mailto:[email-masked]]
> Skickat: den 2 juni 2012 15:52
> Till: SM
> Kopia: Stephen Morris; [email-masked]; [email-masked]; draft-ietf-dnsop-
> [email-masked]
> Ämne: Re: [DNSOP] draft-ietf-dnsop-dnssec-dps-framework-07 (was: I-D
> Action: draft-ietf-dnsop-rfc4641bis-11.txt)
> 
> If I can take the liberty of anticipating the nature of the appropriate
> question, the answer from ICANN would be whatever best facilitates the
> document's timely publication.
> 
> 
> Joe

---

From: Fredrik Ljunggren <[email-masked]>
Date: Sun, 3 Jun 2012 17:48:29 +0200

On 2012-06-02, at 03:01, SM wrote:

> It is simply a matter of asking them an appropriate question. :-)  I note that the listed affiliations are Kirei AB, .SE and ICANN.

To the best of my knowledge and as one of the authors of the document, the draft is submitted in full conformance with BCP 78 and BCP 79. Both current and previous versions of BCP 78 allows the creation of derivative work within the IETF standards process (which includes the Internet-Drafts function), unless explicitly disallowed in the notices contained in a contribution.

There are no such limitations in the IPR of 3647. In addition, is seems to me as the full copyright statement of 3647 states that some derivative works outside of the IETF standards process is allowed, provided that the same full copyright statement is included in that document. But since this is a work which falls within the scope of the IETF standards process, that clause does not seem to apply.

Everything above is my own laymans interpretation.

> I don't see any mention of that in the Acknowledgements Section of the draft.

Thanks for pointing that out, I will make sure to add the appropriate acknowledgements.

> There is a pre5378 license clause which was used in an update of a RFC which predates RFC 3647.  This draft is a different and unusual case.

Earlier licenses seems to me to have the same provisions on derivative work. Even if this is an unusual case, I have not yet found anything that contradicts the aforementioned conclusion on my part.

All the best,

-- Fredrik